import { o as r, n, I as a } from "./index-DSGwv2Yx.js";
import { r as t } from "./reshape-BIN71H3p.js";
function p(s, o) {
  const e = n(s, "x", "squeeze", "string_or_numeric");
  return t(e, a(e.shape, o).newShape);
}
const i = /* @__PURE__ */ r({ squeeze_: p });
export {
  i as s
};
